Package org.apache.maven.scm.provider.git.gitexe.command.diff

## Class GitDiffRawConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.diff.GitDiffRawConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class GitDiffRawConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Mark Struberg

### Constructor Summary

Constructors
`GitDiffRawConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getChangedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitDiffRawConsumer

    public GitDiffRawConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getChangedFiles

    public java.util.List<ScmFile> getChangedFiles()